package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class PgAppraiseCategoryVO {
    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(tbName = "b", colName = "name", isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value = "问题大类")
    private String parentName;

    @ApiModelProperty(value = "问题小类")
    private String name;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "父id")
    private String parentId;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;
}
