package com.gree.mall.manager.bean.workorder;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.plus.entity.AdminWebsit;
import com.gree.mall.manager.plus.entity.WorkerNumberCheck;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerNumberCheckVO     {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;

    @ApiModelProperty(value = "所属公司")
    @ZfireField(tbName = "b")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    @ZfireField(tbName = "b")
    private String belongCompanyCode;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "联系人名称")
    @ZfireField(tbName = "b")
    private String linkName;

    @ApiModelProperty(value = "联系电话")
    @ZfireField(tbName = "b")
    private String linkMobile;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "云售后4.0手机号")
    private String workerPhoneYun;

    @ApiModelProperty(value = "师傅电话")
    @ZfireField(tbName = "c",colName = "mobile")
    private String mobile;

    @ApiModelProperty(value = "云售后4.0编号")
    private String workerNumberYun;

    @ApiModelProperty(value = "广佛家用系统师傅编号")
    @ZfireField(tbName = "c",colName = "worker_number")
    private String workerNumber;
}
