package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.websit.*;
import com.gree.mall.manager.bean.worker.SettlementPgOrderVO;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WebsitSalesRetCMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WebsitSalesRetVO> pageV2(Page page, @Param("ex") ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WebsitPartsRetVO> pagePartsRetV2(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<SettlementOrderLogicVO> pageSettletV2(Page page,@Param("ex")  ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WithdrawalOrderVO> pageWithdrawalV2(Page page, @Param("ex")  ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WorkerSettlementVO> workerSettlementPageV2(Page page,@Param("ex") ZfireParamBean zfireParam);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WorkerSettlementLineVO> pageLineSettlementV2(Page page,@Param("ex") ZfireParamBean zfireParam);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<WebsitPartsFactoryRetVO> pagePartsFactoryRetV2(Page page,@Param("ex")  ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> companyWechatIds);


    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<SettlementPgOrderVO> pgOrderList(Page page,
                                           @Param("ex") ZfireParamBean zfireParam,
                                           @Param("overTime") String overTime,
                                           @Param("overEndTime") String overEndTime
                                              );
}
