package com.gree.mall.manager.zfire.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class WorkerParamBean extends ZfireParamBean {

    @ApiModelProperty(value = "是否按师傅编号分组")
    private Boolean isGroupByWorkerId = Boolean.FALSE;

    @ApiModelProperty(value = "是否检查师傅证件")
    private Boolean checkCert = Boolean.FALSE;

    @ApiModelProperty(value = "主要工程师")
    private String maserWorkerId;

    @ApiModelProperty(value = "结束开始时间")
    private String overTime;

    @ApiModelProperty(value = "结束end时间")
    private String overEndTime;

    @ApiModelProperty(value = "是否忽略网点权限")
    private Boolean ignoreWebsitRole;
}
